
set( ubobj_VERSION 06.85.00 )
set( ubobj_UPS_VERSION v06_85_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcorealg  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_product( larcoreobj  )
    find_ups_root(  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( artdaq_core v1_00_00 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( TRACE v3_03_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
      set( UBOBJ_CRT $ENV{UBOBJ_LIB}/libubobj_CRT.dylib )
      set( UBOBJ_CRT_DICT $ENV{UBOBJ_LIB}/libubobj_CRT_dict.dylib )
      set( UBOBJ_DATAOVERLAY $ENV{UBOBJ_LIB}/libubobj_DataOverlay.dylib )
      set( UBOBJ_DATAOVERLAY_DICT $ENV{UBOBJ_LIB}/libubobj_DataOverlay_dict.dylib )
      set( UBOBJ_MUCS $ENV{UBOBJ_LIB}/libubobj_MuCS.dylib )
      set( UBOBJ_MUCS_DICT $ENV{UBOBJ_LIB}/libubobj_MuCS_dict.dylib )
      set( UBOBJ_OPTICAL $ENV{UBOBJ_LIB}/libubobj_Optical.dylib )
      set( UBOBJ_OPTICAL_DICT $ENV{UBOBJ_LIB}/libubobj_Optical_dict.dylib )
      set( UBOBJ_RAWDATA $ENV{UBOBJ_LIB}/libubobj_RawData.dylib )
      set( UBOBJ_RAWDATA_DICT $ENV{UBOBJ_LIB}/libubobj_RawData_dict.dylib )
      set( UBOBJ_TRIGGER $ENV{UBOBJ_LIB}/libubobj_Trigger.dylib )
      set( UBOBJ_TRIGGER_DICT $ENV{UBOBJ_LIB}/libubobj_Trigger_dict.dylib )
      set( UBOBJ_UBXSEC $ENV{UBOBJ_LIB}/libubobj_UBXSec.dylib )
      set( UBOBJ_UBXSEC_DICT $ENV{UBOBJ_LIB}/libubobj_UBXSec_dict.dylib )
      include_directories ( $ENV{UBOBJ_INC} )

check_required_components(ubobj)

